Skip to main content
POST
/
notes
/
{note_id}
/
documents
/
link
Link Documents To Note
curl --request POST \
  --url https://api.decodahealth.com/notes/{note_id}/documents/link \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "document_ids": [
    "<string>"
  ]
}
'
[
  {
    "id": "<string>",
    "patientId": "<string>",
    "filePath": "<string>",
    "fileType": "<string>",
    "title": "<string>",
    "summary": "<string>",
    "docType": "LAB",
    "signatureUrl": "<string>",
    "createdDate": "2023-11-07T05:31:56Z",
    "noteIds": [],
    "sourceNoteId": "<string>"
  }
]

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

note_id
string
required

Body

application/json
document_ids
string[]
required

Response

Successful Response

id
string
required
patientId
string
required
filePath
string
required
fileType
string
required
title
string
required
summary
string | null
required
docType
enum<string>
required
Available options:
LAB,
PHARMACY,
IMAGE,
REPORT,
OTHER,
CONSENT,
NOTE_UPLOAD
signatureUrl
string | null
required
createdDate
string<date-time> | null
noteIds
string[]
sourceNoteId
string | null